//this file makes golden monitors stop emitting sparkles, makes snailer lasers stop emitting smoke, and makes torches & firebars/fireballs stop emitting particle effects, which'll help to keep the FPS at a playable level, and prevent SS6 from going well past the object-rendering limit
//on a related note, objects&states.soc makes pumas no longer emit their particle effects either, and it sets MT_FLAMEPARTICLE's SpawnState to S_NULL
//unlike with SOC, all parts of the state must be included when you're modifying it
states[S_PITY_GOLDBOX] = {
	sprite = SPR_TVPI,
	frame = B,
	tics = 2,
	action = nil,
	nextstate = S_GOLDBOX_FLICKER
}
states[S_ATTRACT_GOLDBOX] = {
	sprite = SPR_TVAT,
	frame = B,
	tics = 2,
	action = nil,
	nextstate = S_GOLDBOX_FLICKER
}
states[S_FORCE_GOLDBOX] = {
	sprite = SPR_TVFO,
	frame = B,
	tics = 2,
	action = nil,
	nextstate = S_GOLDBOX_FLICKER
}
states[S_ARMAGEDDON_GOLDBOX] = {
	sprite = SPR_TVAR,
	frame = B,
	tics = 2,
	action = nil,
	nextstate = S_GOLDBOX_FLICKER
}
states[S_WHIRLWIND_GOLDBOX] = {
	sprite = SPR_TVWW,
	frame = B,
	tics = 2,
	action = nil,
	nextstate = S_GOLDBOX_FLICKER
}
states[S_ELEMENTAL_GOLDBOX] = {
	sprite = SPR_TVEL,
	frame = B,
	tics = 2,
	action = nil,
	nextstate = S_GOLDBOX_FLICKER
}
states[S_SNEAKERS_GOLDBOX] = {
	sprite = SPR_TVSS,
	frame = B,
	tics = 2,
	action = nil,
	nextstate = S_GOLDBOX_FLICKER
}
states[S_INVULN_GOLDBOX] = {
	sprite = SPR_TVIV,
	frame = B,
	tics = 2,
	action = nil,
	nextstate = S_GOLDBOX_FLICKER
}
states[S_EGGMAN_GOLDBOX] = {
	sprite = SPR_TVEG,
	frame = B,
	tics = 2,
	action = nil,
	nextstate = S_GOLDBOX_FLICKER
}
states[S_GRAVITY_GOLDBOX] = {
	sprite = SPR_TVGV,
	frame = B,
	tics = 2,
	action = nil,
	nextstate = S_GOLDBOX_FLICKER
}
states[S_FLAMEAURA_GOLDBOX] = {
	sprite = SPR_TVFL,
	frame = B,
	tics = 2,
	action = nil,
	nextstate = S_GOLDBOX_FLICKER
}
states[S_BUBBLEWRAP_GOLDBOX] = {
	sprite = SPR_TVBB,
	frame = B,
	tics = 2,
	action = nil,
	nextstate = S_GOLDBOX_FLICKER
}
states[S_THUNDERCOIN_GOLDBOX] = {
	sprite = SPR_TVZP,
	frame = B,
	tics = 2,
	action = nil,
	nextstate = S_GOLDBOX_FLICKER
}
states[S_LAVAFALL_TELL] = {
	sprite = SPR_LFAL,
	frame = F,
	tics = 4,
	action = nil,
	nextstate = S_LAVAFALL_TELL
}
states[S_SMALLFIREBAR3] = {
	sprite = SPR_SFBR,
	frame = FF_FULLBRIGHT|C,
	tics = 1,
	action = nil,
	nextstate = S_SMALLFIREBAR4
}
states[S_SMALLFIREBAR7] = {
	sprite = SPR_SFBR,
	frame = FF_FULLBRIGHT|G,
	tics = 1,
	action = nil,
	nextstate = S_SMALLFIREBAR8
}
states[S_SMALLFIREBAR11] = {
	sprite = SPR_SFBR,
	frame = FF_FULLBRIGHT|K,
	tics = 1,
	action = nil,
	nextstate = S_SMALLFIREBAR12
}
states[S_SMALLFIREBAR15] = {
	sprite = SPR_SFBR,
	frame = FF_FULLBRIGHT|O,
	tics = 1,
	action = nil,
	nextstate = S_SMALLFIREBAR16
}
states[S_BIGFIREBAR3] = {
	sprite = SPR_BFBR,
	frame = FF_FULLBRIGHT|C,
	tics = 1,
	action = nil,
	nextstate = S_BIGFIREBAR4
}
states[S_BIGFIREBAR7] = {
	sprite = SPR_BFBR,
	frame = FF_FULLBRIGHT|G,
	tics = 1,
	action = nil,
	nextstate = S_BIGFIREBAR8
}
states[S_BIGFIREBAR11] = {
	sprite = SPR_BFBR,
	frame = FF_FULLBRIGHT|K,
	tics = 1,
	action = nil,
	nextstate = S_BIGFIREBAR12
}
states[S_BIGFIREBAR15] = {
	sprite = SPR_BFBR,
	frame = FF_FULLBRIGHT|O,
	tics = 1,
	action = nil,
	nextstate = S_BIGFIREBAR16
}
states[S_FIRETORCH] = {
	sprite = SPR_CTRC,
	frame = FF_FULLBRIGHT|FF_ANIMATE,      
	tics = 24,
	action = nil,
	var1 = 3,
	var2 = 3,
	nextstate = S_FIRETORCH
}
states[S_FLAME] = {
	sprite = SPR_FLAM,
	frame = FF_FULLBRIGHT|FF_ANIMATE,
	tics = 24,
	action = nil,
	var1 = 7,
	var2 = 3,
	nextstate = S_FLAME
}